# libdar::null_file Class Reference
[Private]

the null_file class implements the /dev/null behavior More...

`#include <null_file.hpp>`

Inherits libdar::generic_file, and libdar::thread_cancellation.

List of all members.

## Public Member Functions
bool | skip (const infinint &pos)
| skip at the absolute position
bool | skip_to_eof ()
| skip to the end of file
infinint | get_position ()
| get the current read/write position

## Detailed Description

the null_file class implements the /dev/null behavior

this is a generic_file implementation that emulate the comportment of the /dev/null special file. all that is writen to is lost, and nothing can be read from it (empty file). This is a completed implementation all call are consistent.

Definition at line 49 of file null_file.hpp.

The documentation for this class was generated from the following file:

- null_file.hpp